# frozen_string_literal: true

class QueueBackfillHasRemediationsOfVulnerabilityReads < Gitlab::Database::Migration[2.1]
  MIGRATION = "BackfillHasRemediationsOfVulnerabilityReads"
  DELAY_INTERVAL = 2.minutes
  BATCH_SIZE = 10_000
  SUB_BATCH_SIZE = 50

  restrict_gitlab_migration gitlab_schema: :gitlab_main
  disable_ddl_transaction!

  def up
    queue_batched_background_migration(
      MIGRATION,
      :vulnerability_reads,
      :vulnerability_id,
      job_interval: DELAY_INTERVAL,
      queued_migration_version: '20231011142714',
      batch_size: BATCH_SIZE,
      sub_batch_size: SUB_BATCH_SIZE
    )
  end

  def down
    delete_batched_background_migration(MIGRATION, :vulnerability_reads, :vulnerability_id, [])
  end
end
